Package ru.bitel.common.xml

# Class JAXBUtils

java.lang.Object
ru.bitel.common.xml.JAXBUtils

public class JAXBUtils extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `JAXBUtils.DateAdapter`
  `static class`
  `JAXBUtils.DateTimeAdapter`
  `static class`
  `JAXBUtils.LocalDateAdapter`
  `static class`
  `JAXBUtils.PeriodAdapter`
  `static class`
  `JAXBUtils.PeriodWithTimeAdapter`
  `static class`
  `JAXBUtils.SummaAdapter`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JAXBUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> jakarta.xml.bind.JAXBContext`
  `getContext(Class<?>... type)`
  `static void`
  `marshal(Object jaxbObject, Result result)`
  `static void`
  `marshal(Object jaxbObject, Node node)`
  `static <T> void`
  `marshal(Result<T> jaxbObject, Class<T> clazz, Node node)`
  `static <T> T`
  `unmarshal(Node node, String expression, Class<T> clazz)`
  `static <T> Result<T>`
  `unmarshalResult(Document doc, Class<T> clazz)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JAXBUtils

    public JAXBUtils()

- ## Method Details

  - ### getContext

    public static <T> jakarta.xml.bind.JAXBContext getContext(Class<?>... type) throws jakarta.xml.bind.JAXBException
    Throws:
      `jakarta.xml.bind.JAXBException`

  - ### marshal

    public static void marshal(Object jaxbObject, Result result)

  - ### marshal

    public static void marshal(Object jaxbObject, Node node)

  - ### marshal

    public static <T> void marshal(Result<T> jaxbObject, Class<T> clazz, Node node)

  - ### unmarshal

    public static <T> T unmarshal(Node node, String expression, Class<T> clazz) throws Exception
    Throws:
      `Exception`

  - ### unmarshalResult

    public static <T> Result<T> unmarshalResult(Document doc, Class<T> clazz) throws Exception
    Throws:
      `Exception`